
class Help
  def initialize(file)
    top=TkToplevel.new{ title file }

    frame = TkFrame.new(top).pack('expand'=>'yes','fill'=>'both')
    display=TkText.new(frame,'font'=>'fixed').pack('side' => 'left','fill'=>'both','expand'=>'yes')
    scrollbar=TkScrollbar.new(frame,
                              'command' => proc { |*args| display.yview *args}).pack(
                              'side' => 'left',
                              'fill' => 'y')
    display.yscrollcommand(proc { |*args| scrollbar.set *args })
    display.insert('end',IO.readlines(file).join(''))
    display.configure('state'=>'disabled')
  end
end


